cURL
curl --request GET \
--url https://api.botpress.cloud/v1/chat/users/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-bot-id: <x-bot-id>' \
--header 'x-bp-authenticated-principal: <x-bp-authenticated-principal>'import requests
url = "https://api.botpress.cloud/v1/chat/users/{id}"
headers = {
"x-bp-authenticated-principal": "<x-bp-authenticated-principal>",
"x-bot-id": "<x-bot-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-bp-authenticated-principal': '<x-bp-authenticated-principal>',
'x-bot-id': '<x-bot-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.botpress.cloud/v1/chat/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tags": {},
"name": "<string>",
"pictureUrl": "<string>",
"properties": {},
"attributes": {}
}
}{
"user": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tags": {},
"name": "<string>",
"pictureUrl": "<string>",
"properties": {},
"attributes": {}
}
}getUser
Retrieves the User object for a valid identifier.
GET
/
v1
/
chat
/
users
/
{id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Authenticated principal. Injected by the authentication middleware.
Bot id
Integration id
Integration alias
Caller's IP address. Injected by the edge proxy.
Path Parameters
User ID
The user object represents someone interacting with the bot within a specific integration. The same person interacting with a bot in slack and messenger will be represented with two different users.
Show child attributes
Show child attributes
Last modified on July 3, 2026
Was this page helpful?
⌘I